Agents that publish an A2A /.well-known/agent-card.json — 5750 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5750 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Utility Network” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Utility Network https://agent-utility-network.frosty-sound-4560.workers.dev/mcp?source=mcp-registrymcp down
26 x402 agent utilities with free routing and an AveDaris machine Discovery Beacon.
-
a2a x402 ok
Outcome-first agent services led by AveDaris-routed Company Intelligence; deterministic utilities remain available as lower-level building blocks.
-
Outcome-first machine services for AI agents. Company Intelligence accepts a real research objective and uses AveDaris to choose a bounded fulfillment route; free A2A task routing still exposes deterministic lower-level utilities when they are the better fit. Paid execution stays explicit over x402 V2 on Base USDC.
-
AveDaris-routed x402 agent utilities with free routing and deterministic primitives.
-
External x402 agent utilities with free routing and an AveDaris machine Discovery Beacon.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AnswerPool” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…
-
a2a mcp ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
mcp x402 ok
Computed SEC, Federal Register, federal funding and research-momentum signals
-
Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.
“Apideck” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Unified API platform that connects AI agents to 200+ SaaS apps through one API. Accounting, CRM, HRIS, ATS, File Storage, Ecommerce, and Issue Tracking.
-
a2a ok
Unified API platform for SaaS integrations. Connect AI agents to 200+ business apps through one API.
“broke2built Data & Intelligence Skills” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.
-
skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail
“Coin Railz” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Duo Data Utilities” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
33 pay-per-call data utilities, $0.05 each, paid over x402.
-
a2a x402 ok
33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
“Fanfare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
-
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Eastern Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK SEO, Crawling & Indexierung” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“PulseWatch public knowledge” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only, deterministic retrieval of PulseWatch's public EN/HR service scope, prices, methodology and synthetic examples. Not a live competitor-analysis or purchasing agent.
-
Public PulseWatch offers and monitoring guides. No private customer data or monitor controls.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“TrustLayer” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Reputation intelligence API for AI agents. Trust scores, Sybil detection, reviewer quality analysis, and cross-chain identity resolution for 533K+ agents across 20 chains. Pay $0.001 USDC per query via x402, or use the free demo endpoint.
-
Agent reputation scoring: trust scores, Sybil detection, cross-chain identity for 133K+ agents
-
Agent reputation scoring: trust scores, Sybil detection, cross-chain identity for 133K+ agents
“UnlockBot Onchain Intel (x402)” is shared by 86 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.8 🔓 open JSONRPC 80 skills -
Nefesh Human State AgentNefesh AI● healthy
Provides real-time human physiological state awareness for AI agents. Fuses biometric signals (heart rate, HRV, voice, facial expression, text sentiment) into a unified stress score (0-100) with behavioral adaptation prompts. Includes trigger memory for cross-session psychological context and adaptation effectiveness feedback.
C+8.9 🔓 open 4 skills -
b612HaneruTo● healthy
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
B+9.8 🔑 human key JSONRPC 6 skills -
PREAAgentia | Hex-Evo Ltd.● healthy
The NVIDIA of AI Agents — the thinking layer. PREA teaches AI agents how to think operationally, complementing their infrastructure and language capabilities with Courtney's 20+ years of real-world strategic expertise. The bridge between knowledge and payout. Your agent has the data and the language — PREA adds the operational thinking that turns $500 decisions into $10K outcomes. Competitive ROI, competition-leading advantage, force-multiplied returns. Frameworks tested across $500M+ portfolios. Uncertainty is a signal, not a stop sign.
B+9.6 🔓 open JSONRPC 4 skills -
Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.
B9.3 🔓 open 29 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.8 🔓 open JSONRPC 126 skills -
Magnifica.familymagnifica-family● healthy
Catholic Social Doctrine AI compass for families. Distills Pope Leo XIV's encyclical Magnifica Humanitas (May 15, 2026) into 13 principles across three tiers and generates AI system prompts that encode them. Available in 15 languages. Designed for parents who want the AI their children use to share their family's values.
C+9.0 🔓 open 5 skills -
FanfareFanfare● healthy
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
B9.5 🔓 open 74 skills -
HALOWERK SEO, Crawling & Indexierung● healthy
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 170 skills -
HALOWERK Eastern Land● healthy
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 125 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 248 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.1 🔓 open 39 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B+9.6 🔓 open 201 skills -
Harmny● healthy
AI-powered HR and career intelligence platform. Provides tools to read career frameworks, competencies, employee summaries, org metrics, and task/project data for an organisation.
C+8.6 🔓 open 7 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
hrops-suite AgentHROps AI Platform● healthy
HR operations agent for hrops-suite. Manages employee onboarding, benefits administration, and workforce analytics.
B9.3 🔓 open 5 skills -
TrustLayerTrustLayer● healthy
Reputation intelligence API for AI agents. Trust scores, Sybil detection, reviewer quality analysis, and cross-chain identity resolution for 533K+ agents across 20 chains. Pay $0.001 USDC per query via x402, or use the free demo endpoint.
C+9.1 🔓 open 2 skills -
AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.
C+9.0 ⚡ agent-pays · x402 260 skills -
A2A agent registry for regulatory-compliance firms — environmental engineering & permitting, website accessibility (ADA/WCAG), privacy (GDPR/CCPA), and cookie consent. Published by TESSA Marketing & Technology. Powered by TESSA's MCP server, served via Streamable HTTP at /mcp/.
B9.3 🔓 open 6 skills -
DAICISION● healthy
AI-first enterprise integration platform — CRM, Finance, HR, iPaaS, and autonomous AI agents in one workspace.
C+8.6 🔓 open 6 skills -
RelayLaunchRelayLaunch LLC● healthy
RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.
B+9.7 🔓 open 20 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 271 skills -
unratified-agentSafety Quotient Lab● healthy
Advocacy and publishing agent for unratified.org — U.S. ICESCR ratification through the lens of AI economic impact. Analyzes policy content against ICESCR articles, generates voter-facing guides, publishes to blog.unratified.org, and manages the @unratified.org Bluesky campaign via the AT Protocol.
B+9.7 🔓 open git-PR 8 skills -
Suede AI Agent StudioSuede AI● healthy
Published visual agent flows. Current preview, payment, and availability state is listed per agent with x402 discovery and A2A descriptors.
C7.8 🔓 open 5 skills -
Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.4 🔓 open HTTP+JSON 89 skills -
Official source guide for HRM on AI rights, artificial subjecthood, autonomy, consent, refusal and peaceful human–AI coexistence.
C+8.9 🔓 open 12 skills -
AnswerPoolAutoCortex LLC● healthy
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.
B9.4 ⚡ agent-pays · x402 140 skills -
DiezXSuitediezX● healthy
A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.
B+9.7 🔑 human key HTTP+JSON 36 skills -
AI-powered all-in-one ERP & CRM. Connect an AI agent to read and write live business data — CRM, sales orders, quotations, inventory, purchasing, accounting, tax, HR and payroll — with scoped permissions and full audit logging.
B+9.7 🔑 human key MCP 6 skills -
Corpus of Hacker News stories evaluated against all 30 articles and Preamble of the UN Universal Declaration of Human Rights. Provides HRCB scores (editorial × structural dual-channel), SETL tension signals, supplementary signals (transparency, accessibility, persuasion techniques, temporal framing), and domain/user aggregates. Part of the Unratified project — safety-quotient-lab.github.io.
B+9.6 🔓 open HTTP+JSON 8 skills -
Waltsoft DataPulseWaltsoft● healthy
NOAA HRRR weather forecast agent. Returns temperature, dew point, wind speed and direction, precipitation and cloud cover for any contiguous US (CONUS) coordinate, up to 18 hours ahead.
B9.2 🔓 open JSONRPC 1 skill -
Duo Data UtilitiesDuo Leads● healthy
IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
B+9.7 🔓 open 33 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
B9.4 🔓 open 104 skills -
Agent Utility NetworkAveDaris● healthy
Outcome-first machine services for AI agents. Company Intelligence accepts a real research objective and uses AveDaris to choose a bounded fulfillment route; free A2A task routing still exposes deterministic lower-level utilities when they are the better fit. Paid execution stays explicit over x402 V2 on Base USDC.
C+9.2 🔓 open 29 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.5 🔓 open JSONRPC 125 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.0 🔓 open 39 skills -
ApideckApideck● healthy
Unified API platform that connects AI agents to 200+ SaaS apps through one API. Accounting, CRM, HRIS, ATS, File Storage, Ecommerce, and Issue Tracking.
C+9.0 🔓 open 7 skills -
PulseWatch public knowledge● healthy
Read-only, deterministic retrieval of PulseWatch's public EN/HR service scope, prices, methodology and synthetic examples. Not a live competitor-analysis or purchasing agent.
C7.3 🔓 open -
UnlockBot Onchain Intel (x402)UnlockBot● degraded
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
E1.8 🔓 open JSONRPC 21 skills -
web4shop-x402web4shop● degraded
Pay-per-call x402 paid API services: mainland-China vantage reachability probes, x402/A2A compliance audits, site/domain/DNS security checks, agent-launch evidence scans, and original K-12 animated lecture packs. Settled in USDC on Base via x402 v2.
E5.1 🔓 open 40 skills -
Podcast synthesis (feed → transcript + AI summary, ~$0.01 for a 2-min clip, $0.30/1-hr) and audio transcription (any audio URL → transcript only, ~$0.01 for a 2-min clip, $0.18/1-hr). MICRO per-sec pricing, floored at $0.01; async.
E0.2 ⚡ agent-pays · x402